Package org.eclipse.microprofile.telemetry.metrics.tck.jvm

# Class MetricsReader

java.lang.Object
org.eclipse.microprofile.telemetry.metrics.tck.jvm.MetricsReader

public class MetricsReader extends Object

## Constructor Summary

Constructors
Constructor
Description
`MetricsReader()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`assertLogMessage(String metricName, String metricDescription, String metricUnit, String metricType)`
This method asserts that a log line matching the following format "name=<metricName>, description=<metricDescription>, unit=<metricUnit>, type=<metricType>" Can be found in the log file pointed to by the system property mptelemetry.tck.log.file.path.
`static void`
`assertLogMessagePattern(String searchPattern)`
This method asserts that a log line matching the following format "searchPattern=<line pattern that must be matched>" Can be found in the log file pointed to by the system property mptelemetry.tck.log.file.path.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MetricsReader

public MetricsReader()

## Method Details

### assertLogMessage

public static void assertLogMessage(String metricName, String metricDescription, String metricUnit, String metricType)
This method asserts that a log line matching the following format "name=<metricName>, description=<metricDescription>, unit=<metricUnit>, type=<metricType>" Can be found in the log file pointed to by the system property mptelemetry.tck.log.file.path. It will wait for up to fifteen seconds for the log to appear.

Parameters:
  `metricName` - The name of the metric we expect to find in the logs
  `metricDescription` - The description of the metric we expect to find in the logs
  `metricUnit` - The unit of the metric we expect to find in the logs
  `metricType` - The type of the metric we expect to find in the logs

### assertLogMessagePattern

public static void assertLogMessagePattern(String searchPattern)
This method asserts that a log line matching the following format "searchPattern=<line pattern that must be matched>" Can be found in the log file pointed to by the system property mptelemetry.tck.log.file.path. It will wait for up to fifteen seconds for the log to appear.

Parameters:
  `searchPattern` - The pattern to search for in the log file